Subject: Re: bug#21430: 25.0.50; resizing window in exwm crashes emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Sep 2015 16:58:50 +0300

> Date: Tue, 15 Sep 2015 15:18:19 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > I think we still have one more bug that was uncovered by this report:
>  > Fsignal aborted trying to report a wrong-type-arg error.  That
>  > shouldn't happen, and IMO we should continue looking into that, even
>  > if the root cause which caused Fsignal to be invoked is gone.
> 
> So what precisely are we trying to do?  Make Fsignal abort I presume.

Yes.

> And apparently Matthias can't make it abort with a non-optimized build.
> So wouldn't this be a bug triggered by optimizations?  Or a timing
> issue?

The optimizations factor should have been taken care of by building
without any options to configure.

The only other idea I have is return to the original binary which
started this thread, and look at values of some variables there using
the debugger.